Skip to main content
GET
/
api
/
decks
/
{deckId}
/
slides
List slides
curl --request GET \
  --url https://app.demand-iq.com/api/decks/{deckId}/slides \
  --cookie session=
{
  "slides": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slideId": "<string>",
      "title": "<string>",
      "bullets": [
        "<string>"
      ],
      "narration_script": "<string>",
      "orderIndex": 123,
      "slideType": "standard",
      "slide_context": "<string>",
      "audio_url": "<string>",
      "hero_img": "<string>",
      "wordTimings": [
        {
          "word": "<string>",
          "startTime": 123,
          "endTime": 123
        }
      ]
    }
  ]
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Path Parameters

deckId
string<uuid>
required

UUID of the deck

Response

Ordered list of slides

slides
object[]